/**
 * Challenge: Create an advanced function.
 * - Loop through backpackObjectArray to create an article with the class "backpack".
 * - Give the article the ID of the current backpack object.
 * - Set the inner HTML of the article to the existing HTML output provided in const content.
 * - Append each backpack object to the <main> element.
 */

import backpackObjectArray from "./components/data.js";

const main = document.querySelector(".maincontent");

for(var i = 0; i < backpackObjectArray.length; i++)
{
   const article = document.createElement("article");
   article.classList.add("backpack");
   article.setAttribute("id", backpackObjectArray[i].id);

   const content = `
   <figure class="backpack__image">
     <img src=${backpackObjectArray[i].image} alt="" />
   </figure>
   <h1 class="backpack__name">${backpackObjectArray[i].name}</h1>
   <ul class="backpack__features">
     <li class="packprop backpack__volume">Volume:<span> ${
      backpackObjectArray[i].volume
     }l</span></li>
     <li class="packprop backpack__color">Color:<span> ${
      backpackObjectArray[i].color
     }</span></li>
     <li class="backpack__age">Age:<span> ${backpackObjectArray[i].backpackAge()} days old</span></li>
     <li class="packprop backpack__pockets">Number of pockets:<span> ${
      backpackObjectArray[i].pocketNum
     }</span></li>
     <li class="packprop backpack__strap">Left strap length:<span> ${
      backpackObjectArray[i].strapLength.left
     } inches</span></li>
     <li class="packprop backpack__strap">Right strap length:<span> ${
      backpackObjectArray[i].strapLength.right
     } inches</span></li>
     <li class="feature backpack__lid">Lid status:<span> ${
      backpackObjectArray[i].lidOpen ? "open" : "closed"
     }</span></li>
   </ul>
 
`;

   article.innerHTML = content;
   main.append(article); 
}



 