import backpackObjectArray from "./components/data.js";

const main = document.querySelector(".main-content");

const content = backpackObjectArray.map((pack) => {
    const newArticle  = document.createElement("article");
    newArticle.classList.add("backpack");
    newArticle.setAttribute("id", "everyday");

    newArticle.innerHTML = 
    `
        <h1>${pack.name}</h1>
        <ul>
            <li>
                Volume: ${pack.volume}
            </li>
            <li>
                Color: ${pack.color}
            </li>
            <li>
                Number of Pockets: ${pack.pocketNum}
            </li>
            <li id="left-strap-display"> Left Strap: ${pack.strapLength.left}</li>
            <form>
                <input id="left-strap" />
                <button id="left-button">Submit</button>
            </form>
            <li id="right-strap-display"> Right Strap: ${pack.strapLength.right}</li>
            <form>
                <input id="right-strap" />
                <button id="right-button">Submit</button>
            </form>
            <li>
                Lid is open? ${pack.lidOpen}
            </li>
            <li>
                Date Acquired: ${pack.dateAcquired}
            </li>
            <li>
                <img id="img" src=${pack.image} alt="pic"/>
            </li>
        </ul>
    `;
    
    let leftInput = newArticle.querySelector("#left-strap");
    let rightInput = newArticle.querySelector("#right-strap");
    let leftButton = newArticle.querySelector("#left-button");
    let rightButton = newArticle.querySelector("#right-button");

    leftButton.addEventListener("click", (event) => {
        event.preventDefault();
        //get value from input
        let value = leftInput.value;
        //set value to display
        newArticle.querySelector("#left-strap-display").innerHTML = "Left Strap: " + value;
    });

    rightButton.addEventListener("click", (event) => {
        event.preventDefault();
        let value = rightInput.value;
        newArticle.querySelector("#right-strap-display").innerHTML = "Right Strap: " + value;
    });

    return newArticle;
});

content.forEach((backpack) => {
    main.append(backpack);
});